- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# PolicyC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/UShortSeqC.h"`
`#include "tao/CurrentC.h"`
`#include "tao/Policy_ForwardC.h"`
`#include "tao/PolicyC.inl"`

Include dependency graph for PolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | CORBA
## Classes
class | CORBA::PolicyError
class | CORBA::InvalidPolicies
class | CORBA::Policy
class | CORBA::PolicyManager
class | CORBA::PolicyCurrent
struct | TAO::Objref_Traits< ::CORBA::PolicyManager >
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_POLICYERROR_CH_
#define | _CORBA_INVALIDPOLICIES_CH_
#define | _CORBA_POLICY_CH_
#define | _CORBA_POLICYMANAGER__VAR_OUT_CH_
#define | _CORBA_POLICYMANAGER_CH_
#define | _CORBA_POLICYCURRENT_CH_
#define | _CORBA_POLICYMANAGER__TRAITS_CH_
## Typedefs
typedef CORBA::Short | CORBA::PolicyErrorCode
typedef CORBA::Short_out | CORBA::PolicyErrorCode_out
typedef PolicyManager * | CORBA::PolicyManager_ptr
typedef TAO_Objref_Var_T< PolicyManager > | CORBA::PolicyManager_var
typedef TAO_Objref_Out_T< PolicyManager > | CORBA::PolicyManager_out
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::PolicyError &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::PolicyError &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::InvalidPolicies &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::InvalidPolicies &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Policy_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Policy_ptr &)
## Variables
const CORBA::PolicyErrorCode | CORBA::BAD_POLICY = 0
const CORBA::PolicyErrorCode | CORBA::UNSUPPORTED_POLICY = 1
const CORBA::PolicyErrorCode | CORBA::BAD_POLICY_TYPE = 2
const CORBA::PolicyErrorCode | CORBA::BAD_POLICY_VALUE = 3
const CORBA::PolicyErrorCode | CORBA::UNSUPPORTED_POLICY_VALUE = 4
TAO_Export TAO::Collocation_Proxy_Broker *(*) | CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer (CORBA::Object_ptr obj)

## Define Documentation

#define _CORBA_INVALIDPOLICIES_CH_

#define _CORBA_POLICY_CH_

#define _CORBA_POLICYCURRENT_CH_

#define _CORBA_POLICYERROR_CH_

#define _CORBA_POLICYMANAGER__TRAITS_CH_

#define _CORBA_POLICYMANAGER__VAR_OUT_CH_

#define _CORBA_POLICYMANAGER_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Policy_ptr |  |
| ) |  |  |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::InvalidPolicies & |  |
| ) |  |  |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::PolicyError & |  |
| ) |  |  |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Policy_ptr & |  |
| ) |  |  |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::InvalidPolicies & |  |
| ) |  |  |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::PolicyError & |  |
| ) |  |  |

## Variable Documentation

TAO_Export TAO::Collocation_Proxy_Broker*(*) CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer(CORBA::Object_ptr obj)